Arch Add/tr: Difference between revisions

From FreeCAD Documentation
(Created page with "== Açıklama ==")
(Created page with "Ekle aracı 4 tür işlem yapmanıza olanak sağlar: * Parça Şekil tabanlı nesneler Duvar veya Yapı gibi bir Mima...")
Line 9: Line 9:
== Açıklama ==
== Açıklama ==


Ekle aracı 4 tür işlem yapmanıza olanak sağlar:
The Add tool allows you to do 4 kinds of operations:
* Add [[Part Module|shape]]-based objects to an Arch component, such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]. These objects make then part of the Arch component, and allow you to modify its shape but keeping its base properties such as width and height
* [[Part Modul/tr|Parça Şekil]] tabanlı nesneler [[Arch Wall/tr|Duvar]] veya [[Arch Structure/tr|Yapı]] gibi bir Mimari bileşen ekleyin. Bu nesneler daha sonra Mimari bileşenin bir parçasını oluşturur ve şeklini değiştirmenize izin verir ancak genişlik ve yükseklik gibi temel özelliklerini korur
* Add Arch components, such as a [[Arch Wall|walls]] or [[Arch Structure|structures]], to a group-based arch object such as [[Arch Floor|floors]].
* [[Arch Floor/tr| Kat]] gibi bir grup tabanlı Mimari nesneye [[Arch Wall/tr | Duvar]] veya [[Arch Structure/tr | Yapı]] gibi Mimari bileşenleri ekleyin
* Add [[Arch Axis|axis systems]] to [[Arch Structure|structural objects]]
* [[Arch Axis/tr|Mimari Eksen]] 'ni [[Arch Structure/tr|Yapısal nesneler]]' e ekleyin
* Add objects to [[Arch SectionPlane|section planes]]
* Nesneleri [[Arch Section/tr|Kesit Düzlemi]] 'ne ekleyin.


[[Image:Arch Add example.jpg|640px]]
[[Image:Arch Add example.jpg|640px]]

Revision as of 10:21, 16 January 2019

Mimari Ekle

Menü konumu
Mimari → Ekle
Tezgahlar
Mimari
Varsayılan kısayol
Hiçbiri
Versiyonda tanıtıldı
-
Ayrıca bkz
Mimari Kaldır

Açıklama

Ekle aracı 4 tür işlem yapmanıza olanak sağlar:

  • Parça Şekil tabanlı nesneler Duvar veya Yapı gibi bir Mimari bileşen ekleyin. Bu nesneler daha sonra Mimari bileşenin bir parçasını oluşturur ve şeklini değiştirmenize izin verir ancak genişlik ve yükseklik gibi temel özelliklerini korur
  • Kat gibi bir grup tabanlı Mimari nesneye Duvar veya Yapı gibi Mimari bileşenleri ekleyin
  • Mimari Eksen 'ni Yapısal nesneler' e ekleyin
  • Nesneleri Kesit Düzlemi 'ne ekleyin.

In the above image, a box is being added to a wall.

How to use

  1. Select the object(s) to be added, then the "host" object (the host object must be the last one you selected)
  2. Press the Add button

Scripting

The Add tool can by used in macros and from the python console by using the following function:

addComponents (objectsList,hostObject)
  • Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
  • Returns nothing.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)